# Making a Pull Request to submit changes or new scripts to the official repository  
  

|||
| --- | --- |
| Create a 'fork' of this repository on your own page by clicking the button that says 'Fork' in the top right, between 'Watch' and 'Starred' | ![image](https://user-images.githubusercontent.com/79809962/167017832-d2747eca-12d9-42ae-908e-837c163e8556.png)|
||
| Navigate to your new fork by going to your profile. It will be listed as your_username/EuroPi instead of Allen-Synthesis/EuroPi|![image](https://user-images.githubusercontent.com/79809962/167018301-8114b2e7-5792-4e23-9404-e2692cd1bd92.png)|
||
| Create a new branch to make your changes on. Simply click on the button that says 'main' and then type a new branch name relevant to your changes and click 'Create new branch: your-branch-name from main'. This step is very useful as it allows you to group together your changes. For example, you may be working on a script which you aren't quite ready to contribute yet, but you have just noticed a spelling mistake in the main repository that you want to fix. You can simply create a new branch named something like 'spelling-fixes', make your changes there, and then *only* make a Pull Request for that branch, leaving your script for a future PR.|![image](https://user-images.githubusercontent.com/79809962/167019700-e6572a4f-ecdb-43b6-9d5a-f220138f957b.png)|
||
| Make the relevant changes to your own fork, within the branch that you just created, either uploading files or changing existing ones|![image](https://user-images.githubusercontent.com/79809962/167018442-03162786-3566-4061-a6b7-b660b0c5f875.png)|
||
| **IMPORTANT**: Please write informative descriptions for all commits you make to your own fork so that it is obvious what changes you are making and why|![image](https://user-images.githubusercontent.com/79809962/167018557-32ed6960-7b9d-4252-9981-cbb87fce08a4.png)|
||
| When you are happy with the changes you've made, click the tab in your own fork that says 'Pull Requests' and then click 'New Pull Request'|![image](https://user-images.githubusercontent.com/79809962/167018707-0d40248f-a6b5-4762-b330-cf80ac8c9a55.png)|
||
| Make sure that the branch of your fork that you are making a Pull Request for is the correct one for these changes. To change it, click where it says 'main' and then choose the correct branch from the drop-down|![image](https://user-images.githubusercontent.com/79809962/167020436-29a4b507-d4fe-40ef-9337-94cc368d2171.png)|
||
| Check all of the changes shown below are correct, then click 'Create Pull Request'|![image](https://user-images.githubusercontent.com/79809962/167018782-c58ef9f5-b8ab-4e26-aecb-2dacddc6e01a.png)|
||
| Add a title and an overall description of the changes you are suggesting and/or the new files you've uploaded.  This description should be informative but doesn't have to be too long if there are descriptions for each commit (as there should be)|![image](https://user-images.githubusercontent.com/79809962/167018884-453e3650-123f-4dcf-9da0-44afe38b6368.png)|
||
| Please make sure that the checkbox 'Allow edits and access to secrets by maintainers' is turned *on* so that any small changes, such as spelling or grammar, can be completed by any of the maintainers before merging|![image](https://user-images.githubusercontent.com/79809962/167019014-7d3c7ef3-6c8a-4b70-8534-8c4bd64d4275.png)|
||
| Finally, click 'Make Pull Request'|![image](https://user-images.githubusercontent.com/79809962/167019140-541024c3-b15c-4b34-8bab-12866d4fcf2a.png)|
||
| Now wait for the review process to complete. You may need to make changes to your PR during this process, and you can read more about how reviews are carried out in the [Contributing Guidelines](contributing.md)||
||
| Once the Pull Request is merged, tell everyone about your cool new script or change in the Discord server!|[Join the Allen Synthesis Discord](https://discord.gg/JaQwtCnBV5)|
||
  
